Subject: Ticket Assigned - Late delivery / 9563337682
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 03 Apr 2022 05:28:03 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late delivery / 9563337682 Jenilyn Dilay-Caniedo                    Hello good morning           09:22 AM, 03rd Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:22 AM, 03rd Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:22 AM, 03rd Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:22 AM, 03rd Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:22 AM, 03rd Apr                   Ahmed                   Hi this is Ahmed how can I help you today            09:24 AM, 03rd Apr                     Jenilyn Dilay-Caniedo                    I would like to follow up my order. It was supposed to be delivered on march 31. But until now I havent received it.           09:24 AM, 03rd Apr                     Jenilyn Dilay-Caniedo                             09:25 AM, 03rd Apr                     Jenilyn Dilay-Caniedo                    This is my order           09:25 AM, 03rd Apr                   Ahmed                   Kindly allow me few moments so I can check the details of the order            09:25 AM, 03rd Apr                     Jenilyn Dilay-Caniedo                    Thank you           09:26 AM, 03rd Apr                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           09:27 AM, 03rd Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4117038